/*********************************
Autor: Fco Javier Ortega Carrasco
Fecha creación: 22/10/2018
Última modificación: 14/12/2018
Versión: 1.0
***********************************/

@font-face{
    font-family: 'Digits-7';
    src: url(../fonts/digital_7/digital-7-mono.ttf) format("truetype");
}

body{
    background-color: transparent;
}

.calculator{ 
    display: grid;
    grid-template-rows: 0.4fr 1.2fr;
    width: 320px;
    height: 460px;
    background-color: rgb(231, 231, 231);
    border: 2px solid rgb(90, 90, 88);
    border-radius: 10px; 
    position: absolute;
    margin: auto;
    top: 0;
    bottom: 0;
    left: 0;
    right: 300;
}

.screen{
    font-family: Digits-7;
    display: grid;
    justify-self: center;
    grid-template-rows: 1fr;
    width:276px;
    height:90px;
    margin-top: 20px;
    margin-bottom: 20px;
    border: 2px rgb(97, 158, 207) solid;
    background-color: rgb(224, 229, 233);
    box-shadow: 3px 3px 3px rgb(192, 199, 236);
    border-radius: 5px;
}

#operacion{
    font-family: Arial, Helvetica, sans-serif;
    text-align: right;
    margin-top: 4px;
    font-size: 17px;
    padding-right: 15px;
    color: rgb(130, 133, 133);
}

#resultado{
    font-size: 2em;
    color: black;
    padding-right: 10px;
    background-color: rgb(224, 229, 233);
    width: 272px;
    text-align: right;
    border: 0;
}

.calc_btns{
    display: grid;
    justify-self: center;
    grid-template-columns: repeat(5, 1fr);
    grid-gap: 7px;
    margin-bottom: auto;
}

.boton{
    width: 48px;
    height: 45px;
    font-size: 16px;
    border-radius: 10px;
}

.cero{
    grid-column: 1/3;
    height: 45px;
    border-radius: 10px;
}

.igual{
    grid-row: span 2;
    width: 48px;
    border-radius: 10px;
}